# O Domador
## 16 de Julho de 2018

domador1.jpg

Eu adoro essa ilustração do artista alemão Michael Sowa. Há alguns anos eu vi essa imagem pela primeira vez e me identifiquei com ela em vários aspectos. Desde então ela mora nos meus arquivos e mais recentemente ela tem me tocado novamente, ilustrando algumas ideias que gostaria de compartilhar agora com vocês.

Ando lendo bastante e profundamente interessado em como a Inteligência Artificial poderia ser utilizada para acelerar a geração de informação qualificada em biodiversidade. De forma mais específica, ando interessado em técnicas de “Machine Learning” para interpretação de imagens.

Tenho a clara percepção de que estamos vivendo um cenário de oportunidades que não existiam há poucos anos atrás. Uma convergência de avanço tecnológico na área, com uma infraestrutura robusta e acessível, novos “algoritmos” e, especialmente, uma quantidade avassaladora de dados  primários e imagens digitalizadas. Vamos explorar apenas um exemplo potencial dessa interface “AI (Artificial Intelligence) – Biodiversidade”.

Creio que podemos partir do reconhecimento de alguns fatos:

* O {reconhecimento, classificação} automatizada de imagens por computadores é um fato. Se você já viu o {Facebook, Google} marcando pessoas nas fotos sabe disso. Se tem dúvidas, pode arrastar uma imagem aqui para essa página, ou mesmo reproduzir esses passos de reconhecimento de flores;
* O volume de exsicatas de herbário digitalizadas sob a forma de imagens, disponíveis em herbários virtuais, tem crescido de forma significativa nos últimos anos. Como o exemplo temos o Herbário Virtual REFLORA, hoje com mais de 3.1 milhões de imagens de exsicatas;
* Parte dessas exsicatas permanencem não identificadas;
* Aparentemente, se nada mudou de forma significativa nos últimos 20 anos, não dispomos de recursos suficentes para identificar todas as exsicatas indeterminadas nos herbários.

Não precisa muito esforço para “ligar os pontos”.  Entre os outros trabalhos citados ai em baixo,  Carranza-Rojas e outros (2017) usaram a Rede Neural Convolucional para identificar “taxons” com base em imagens de exsicatas de herbário com bons índices, incluindo a “transferência de aprendizado” entre herbários distintos.

E, como outro exemplo, não é só a botânica que encontra potencial na Inteligência Artificial.

Por conta desta “inquietação”, ando tendo conversas bem interessantes com parceiros do Laboratório Nacional de Computação Científica, com o qual o Inst. de Pesquisas Jardim Botânico do Rio de Janeiro tem um Acordo de Cooperação Técnica. A ideia inicial é usar as mais de 3.1 milhões de imagens do Herbário Virtual REFLORA para “treinar” uma “maquina” que seria capaz de auxiliar na identificação de exsicatas indeterminadas nos herbários nacionais. Espero ter notícias alvissareiras em breve!

## Referências citadas e recomendadas:

Carranza-Rojas, J., Goeau, H., Bonnet, P., Mata-Montero, E., & Joly, A. (2017). Going deeper in the automated identification of Herbarium specimens. BMC Evolutionary Biology, 17(1), 181. https://doi.org/10.1186/s12862-017-1014-z

Carranza-Rojas, J., Joly, A., Bonnet, P., Goëau, H., & Mata-Montero, E. (2017). Automated Herbarium Specimen Identification using Deep Learning. In Proceedings of TDWG (Vol. 1, p. e20302). Pensoft Publishers. https://doi.org/10.3897/tdwgproceedings.1.20302

Unger, J., Merhof, D., & Renner, S. (2016). Computer vision applied to herbarium specimens of German trees: Testing the future utility of the millions of herbarium specimen images for automated identification. BMC Evolutionary Biology, 16(1), 1–7. https://doi.org/10.1186/s12862-016-0827-5

Wijesingha, D., & Marikar, F. (2012). Automatic Detection System for the Identification of Plants Using Herbarium Specimen Images. Tropical Agricultural Research, 23(1), 42. https://doi.org/10.4038/tar.v23i1.4630

Xiaoling Xia, Cui Xu, & Bing Nan. (2017). Inception-v3 for flower classification. In 2017 2nd International Conference on Image, Vision and Computing (ICIVC) (pp. 783–787). IEEE. https://doi.org/10.1109/ICIVC.2017.7984661
