# Era uma vez, em um reino muito distante…
## 18 de Dezembro de 2022

![](http://dalcinweb.s3-website-us-east-1.amazonaws.com/github/BiodivDadosMeta/eraUmaVez1.jpg)

Em agosto deste ano (2022) eu fiz uma postagem chamada “A ferramenta e o resultado do trabalho“, onde eu tive um despretensioso “insight“:

___“…Precisamos “comunicar com dados”. É a razão da existência deles. Dados precisam contar histórias, apresentar fatos e constituir evidências.”___

Desde então fiquei com a clara percepção de que, como “pesquisadores”, somos “contadores de histórias” (Storytellers). Isso quer dizer que, com os dados coletados em nossas pesquisas, devemos ser capazes de construir uma narrativa relevante para formar uma história com enredo, personagens e ambiente para passar uma mensagem central. E é isso que fazemos em nossos artigos científicos, quando queremos comunicar com nossos pares. Fomos treinados e condicionados para isso. Porém, fomos treinados e incentivados a fazer essa comunicação em formatos muito específicos, como apresentações e painéis em congressos, e artigos científicos, geralmente de forma bem cartesiana, pouco criativa e, porque não dizer, entediante. Deste ponto divergem capacidades de comunicar para o público, com profissionais de jornalismo e comunicação científica. Entretanto, ainda estamos longe de contar histórias cativantes e impactantes sobre o status da biodiversidade para nossos tomadores de decisão, uma das minhas áreas de grande interesse profissional.

Mas será que isso é tão importante assim? Meu artigo, bem citado e publicado em um jornal indexado com alto fator de impacto, não é suficiente? Sem dúvida é importante. Mas ele leva a mensagem de uma forma eficiente aos tomadores de decisão?

Para efeito de comparação, vamos ver como um “profissional” conta sua história com os dados disponíveis:

https://youtu.be/jbkSRLYSojo

O apresentador em questão é Hans Rosling, que publicou o excelente “Factfulness: O hábito libertador de só ter opiniões baseadas em fatos” (sendo lido nestas férias) e se tornou um verdadeiro ícone em construir e apresentar histórias com dados.

O ponto central desta postagem é que, pesquisando mais a fundo, descobri que “Data Storytelling”  é uma área de conhecimento já bem desenvolvida e consolidada, com muita literatura e profissionais especializados, como o autor deste livro: “Data Storytelling, planejando e contando a história dos dados“, também adquirido e sendo lido nestas férias.

E mais! Data Storytelling é apenas uma das capacidades de algo que também vem me incomodando há algum tempo, e que descobri recentemente que não só tem um nome, mas que também já é uma área de conhecimento consolidada: “Data Literacy“, ou “Alfabetização de Dados”, que consiste na:

___“capacidade de ler, gerenciar, analisar e argumentar por meio de dados.”___

Desde a última disciplina que ministrei em junho deste ano, e em recentes oficinas que participei, percebi que a maioria dos alunos, e mesmo pesquisadores e analistas  já com carreira consolidada, tem dificuldades nesta área. Não chega ao absurdo desta jornalista, que se mostra absolutamente “analfabeta” em dados, mas, em diferentes intensidades, a maioria dos alunos tem dificuldades. Por conta disto, minha outra leitura nessas férias tem sido o livro “Data Literacy in Practice: A complete guide to data literacy and making smarter decisions with data through intelligent actions“, que recomendo fortemente. Entretanto, existe também muita literatura gratuita por aí como, por exemplo, esta publicação aqui.

Estas leituras têm me causado grande impacto, e a clara percepção de que:

* O fenômeno do “big data” está assolando as ciências relacionadas com conservação e biodiversidade, e precisamos preparar as novas gerações para lidar com isso. Ainda estamos formando pós-graduados com base na forma de fazer ciência do século passado;
* Assim como alunos de pós-graduação, os pesquisadores e analistas também precisam se “alfabetizar em dados”. É uma atualização de capacidade profissional extremamente importante hoje em dia, mas infelizmente muito negligenciada;
* Se quisermos ampliar e potencializar nossa capacidade de causar impacto na conservação e uso sustentado e socialmente justo da biodiversidade, temos que nos capacitar em Data Storytelling e entregar a informação de forma criativa, arrebatadora e eficaz;
* Estas competências vão promover (espero!) o que é chamado de “Data-informed decision-making (DIDM)”, que, segundo Kevin Hanegan, consiste “__…na capacidade de transformar informações em conhecimento acionável e verificado para, finalmente, tomar decisões de negócios__“.

Nada  mais urgente do que tomar decisões sobre questões que afetam nossa vida neste planeta, e decisões baseadas em fatos. Em evidências. Nosso papel é levantar estes dados, analisá-los com competência e sem nenhum viés, e aprestar informações relevantes para a tomada de decisão. E não me resta dúvida que “Data Literacy” e “Data Storytelling” são competências importantes para isso.
